
From: Robert Love <rml@novell.com>

Add fsnotify_xattr() hook to removexattr().

Signed-off-by: Robert Love <rml@novell.com>
Signed-off-by: John McCtuchan <ttb@tentacle.dhs.org>
Cc: Andreas Gruenbacher <agruen@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/xattr.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN fs/xattr.c~fsnotify-hook-on-removexattr-too fs/xattr.c
--- devel/fs/xattr.c~fsnotify-hook-on-removexattr-too	2005-08-30 18:41:55.000000000 -0700
+++ devel-akpm/fs/xattr.c	2005-08-30 18:41:55.000000000 -0700
@@ -325,6 +325,8 @@ removexattr(struct dentry *d, char __use
 		down(&d->d_inode->i_sem);
 		error = d->d_inode->i_op->removexattr(d, kname);
 		up(&d->d_inode->i_sem);
+		if (!error)
+			fsnotify_xattr(d);
 	}
 out:
 	return error;
_
